<?php

if (!class_exists('HOMESHOP_PLUGINS_CONFIG')) {

	class HOMESHOP_PLUGINS_CONFIG {

		public $plugin_classes = array(
			'HOMESHOP_COMPARE_MOD',
			'HOMESHOP_WISHLIST_MOD'
		);

		public $options;
		public $paths = array();
		public static $pathes = array();

		protected function path($name, $file = '') {
			return $this->paths[$name] . (strlen($file) > 0 ? '/' . preg_replace('/^\//', '', $file) : '');
		}

		protected static function assetExtendUrl($file, $folder) {
			return self::$pathes['BASE_URI'] . 'plugins/' . $folder . (strlen($file) > 0 ? '/' . preg_replace('/^\//', '', $file) : '');
		}

		function __construct() {

			$this->paths = array(
				'BASE_URI' => MAD_BASE_URI . trailingslashit('config-plugins'),
				'PLUGINS' => MAD_BASE_PATH . 'config-plugins/plugins/',
				'WIDGETS_DIR' => MAD_BASE_PATH . 'config-plugins/widgets/'
			);

			$this::$pathes = $this->paths;

			require($this->paths['PLUGINS'] . 'compare/config.php');
			require($this->paths['PLUGINS'] . 'wishlist/config.php');

			foreach ($this->plugin_classes as $plugin) {
				if (class_exists($plugin)) new $plugin;
			}

		}

	}

	new HOMESHOP_PLUGINS_CONFIG();
}