<?php

if (!class_exists('HOMESHOP_COMPARE_MOD')) {

	class HOMESHOP_COMPARE_MOD extends HOMESHOP_PLUGINS_CONFIG {

		public $action_recount = 'action_recount';
		public $action_recount_after_remove = 'action_recount_after_remove';
		public $cookie_name = 'yith_woocompare_list';

		public $products_list = array();
		
		
		function __construct() {

			if ( !defined( 'YITH_WOOCOMPARE' ) ) return;
			
			if ( !class_exists( 'YITH_Woocompare_Frontend' ) ) return;

			define('HOMESHOP_COMPARE_URI', MAD_BASE_URI . 'config-plugins/plugins/compare/css');
			add_action('wp_enqueue_scripts', array( $this, 'yith_compare_enqueue_scripts' ) );
			

			// set coookiename
            if ( is_multisite() ) $this->cookie_name .= '_' . get_current_blog_id();

		   $this->products_list = isset( $_COOKIE[ $this->cookie_name ] ) && !empty($_COOKIE[ $this->cookie_name ]) ? maybe_unserialize( $_COOKIE[ $this->cookie_name ] ) : array();

			add_action( 'wc_ajax_' . $this->action_recount, array( $this, 'refresh_recount' ) );
			add_action( 'wp_ajax_nopriv_' . $this->action_recount, array( $this, 'refresh_recount' ) );

			add_action( 'wc_ajax_' . $this->action_recount_after_remove, array( $this, 'refresh_recount_after_remove' ) );
			add_action( 'wp_ajax_nopriv_' . $this->action_recount_after_remove, array( $this, 'refresh_recount_after_remove' ) );
		}

		public function yith_compare_widgets_init() {
			unregister_widget( 'YITH_Woocompare_Widget' );
			register_widget( 'MOD_YITH_Woocompare_Widget' );
		}

		public function yith_compare_enqueue_scripts() {

			$widget_css = self::assetExtendUrl('css/widget.css', 'compare');

			$woocompare_js = self::assetExtendUrl('js/woocompare-mod.js', 'compare');

			if ( ! is_admin() ) {
				wp_enqueue_style( 'yith-woocompare-widget-mod', $widget_css );
				
				 wp_enqueue_script( 'homeshop-wcas_frontend', $woocompare_js, array('jquery', 'yith-woocompare-main'), '', true );
				 wp_localize_script( 'homeshop-wcas_frontend', 'yith_woocompare_mod', array(
				 'ajaxurl'   => version_compare( WC()->version, '2.4', '>=' ) ? WC_AJAX::get_endpoint( "%%endpoint%%" ) : admin_url( 'admin-ajax.php', 'relative' ),
					 'action_recount' => $this->action_recount,
					 'action_recount_after_remove' => $this->action_recount_after_remove,
					 'cookie_name' => $this->cookie_name
				 ));
				
			}

		}
		
		
		
		 public function custom_list_products_html( $lang = false ) {
            ob_start();

            /**
             * WPML Suppot:  Localize Ajax Call
             */
            global $sitepress;

			$products_list = $this->products_list;
			
            if( defined( 'ICL_LANGUAGE_CODE' ) &&  $lang != false && isset( $sitepress )) {
                $sitepress->switch_lang( $lang, true );
            }

            if ( empty( $this->products_list ) ) {
                echo '<li>' . esc_html__( 'No products to compare', 'homeshop' ) . '</li>';
                return ob_get_clean();
            }

            foreach ( $this->products_list as $product_id ) {
                $product = $this->wc_get_product( $product_id );
                if ( ! $product )
	                continue;
                ?>
                <li>
                    <a class="title" href="<?php echo get_permalink( $product_id ) ?>"><?php echo esc_html($product->get_title()); ?></a>
                    <a href="<?php echo esc_url($this->remove_product_url( $product_id )); ?>" data-product_id="<?php echo esc_attr($product_id); ?>" class="remove" title="<?php esc_html_e( 'Remove', 'homeshop' ) ?>">x</a>
                </li>
            <?php
            }

            return ob_get_clean();
        }
		
		
		
		public function get_products_list() {
			$products_list = isset( $_COOKIE[ $this->cookie_name ] ) ? unserialize( $_COOKIE[ $this->cookie_name ] ) : array();
			return $products_list;
		}

		public function output_count() {
			$products_list = $this->products_list;

			if ( !empty($products_list) ) {
			echo $products_list;
			} else {
			echo '0';
			}
		}

		public function refresh_recount() {
			echo $this->recount();
			die();
		}

		public function recount() {
			$this->output_count();
		}

		public function refresh_recount_after_remove() {
			echo $this->recount_after_remove();
			die();
		}

		public function recount_after_remove() {

			if ( ! isset( $_REQUEST['id'] ) ) die();
/*
			if ( $_REQUEST['id'] == 'all' ) {
				$products = $this->products_list;
				foreach ( $products as $product_id ) {
					$this->remove_product_from_compare( intval( $product_id ) );
				}
			} else {
				$this->remove_product_from_compare( intval( $_REQUEST['id'] ) );
			}
*/
			$this->output_count();

		}

		public function remove_product_from_compare( $product_id ) {
			foreach ( $this->products_list as $k => $id ) {
				if ( $product_id == $id ) unset( $this->products_list[$k] );
			}
			setcookie( $this->cookie_name, json_encode( $this->products_list ), 0, COOKIEPATH, COOKIE_DOMAIN, false, true );
		}

	
	}

}