<?php
/**
 * Mini-cart
 *
 * Contains the markup for the mini-cart, used by the cart widget.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/cart/mini-cart.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.3.0
 */
 
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>

<?php do_action( 'woocommerce_before_mini_cart' ); ?>

<div class="box-wrapper parent-border">
<p class="cart-info-f" >
			<?php 
			echo __('Recently added item(s)','homeshop');
			?>
			</p>

<ul id="cart-dropdown" class="cart_list product_list_widget <?php echo esc_attr( $args['list_class'] ); ?>">

	<?php if ( ! WC()->cart->is_empty() ) : ?>

		<?php
			foreach ( WC()->cart->get_cart() as $cart_item_key => $cart_item ) {
				$_product     = apply_filters( 'woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key );
				$product_id   = apply_filters( 'woocommerce_cart_item_product_id', $cart_item['product_id'], $cart_item, $cart_item_key );

				if ( $_product && $_product->exists() && $cart_item['quantity'] > 0 && apply_filters( 'woocommerce_widget_cart_item_visible', true, $cart_item, $cart_item_key ) ) {

					$product_name      = apply_filters( 'woocommerce_cart_item_name', $_product->get_name(), $cart_item, $cart_item_key );
					$thumbnail         = apply_filters( 'woocommerce_cart_item_thumbnail', $_product->get_image(), $cart_item, $cart_item_key );
					$product_price     = apply_filters( 'woocommerce_cart_item_price', WC()->cart->get_product_price( $_product ), $cart_item, $cart_item_key );
					$product_permalink = apply_filters( 'woocommerce_cart_item_permalink', $_product->is_visible() ? $_product->get_permalink( $cart_item ) : '', $cart_item, $cart_item_key );

					?>
					<li class="woocommerce-mini-cart-item <?php echo esc_attr( apply_filters( 'woocommerce_mini_cart_item_class', 'mini_cart_item', $cart_item, $cart_item_key ) ); ?>">
					
						<a class="product_image" href="<?php echo esc_url( $product_permalink ); ?>">
							<?php echo str_replace( array( 'http:', 'https:' ), '', $thumbnail ); ?>
						</a>

						<div class="product_desc">
						   <h6><?php echo $product_name; ?></h6>
							<p><?php _e( 'Product code', 'homeshop' ) ?> <?php echo ( $sku = $_product->get_sku() ) ? $sku : __( 'n/a', 'homeshop' ); ?></p>
						
							<?php //echo WC()->cart->get_item_data( $cart_item ); ?>
						</div>

						<div class="product_quantity">
						<?php echo apply_filters( 'woocommerce_widget_cart_item_quantity', '<span class="quantity">' . sprintf( '%s &times; %s', $cart_item['quantity'], $product_price ) . '</span>', $cart_item, $cart_item_key ); ?>
						
						

						<?php
						echo apply_filters( 'woocommerce_cart_item_remove_link', sprintf(
							'<a href="%s" class="remove delete parent-color" aria-label="%s" data-product_id="%s" data-product_sku="%s">%s</a>',
							esc_url( wc_get_cart_remove_url( $cart_item_key ) ),
							__( 'Remove this item', 'homeshop' ),
							esc_attr( $product_id ),
							esc_attr( $_product->get_sku() ),
							__( 'Remove', 'homeshop' )
						), $cart_item_key );
						?>
						
						
						</div>		
								
					</li>
					<?php
				}
			}
			do_action( 'woocommerce_mini_cart_contents' );
		?>

	<?php else : ?>

		<li class="empty"><?php _e( 'No products in the cart.', 'homeshop' ); ?></li>

	<?php endif; ?>

</ul><!-- end product list -->

</div>


<?php if ( ! WC()->cart->is_empty() ) : ?>

<div class="footer">
    <table class="checkout-table pull-right">

					<tr>
						<td class="align-right"><strong><?php _e( 'Total', 'homeshop' ) ?>:</strong></td>
						<td><strong class="parent-color"><?php echo WC()->cart->get_cart_subtotal(); ?></strong></td>
					</tr>
					
	
					
	</table>
</div>

	
<div class="box-wrapper no-border buttons">
<?php do_action( 'woocommerce_widget_shopping_cart_before_buttons' ); ?>
	<a class="button pull-right parent-background checkout wc-forward" href="<?php echo esc_url( wc_get_checkout_url() ); ?>"><?php _e( 'Checkout', 'homeshop' ) ?></a>
	<a class="button pull-right wc-forward" href="<?php echo esc_url( wc_get_cart_url() ); ?>"><?php _e( 'View Cart', 'homeshop' ) ?></a>
	
</div>
<?php endif; ?>

<?php do_action( 'woocommerce_after_mini_cart' ); ?>