<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $product, $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) )
	$woocommerce_loop['loop'] = 0;

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) )
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );

// Ensure visibility
if ( ! $product || ! $product->is_visible() )
	return;

// Increase loop count
$woocommerce_loop['loop']++;

// Extra post classes
$classes = array();
if (0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'])
    $classes[] = 'first';
if (0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'])
    $classes[] = 'last';




$classes[] = ' item-carousel ';


?>


<div <?php post_class( $classes ); ?>>

	<div class="product">
	


	<div class="product-image">

			<?php if ( $product->is_on_sale() && get_option('sense_label_onsale') != 'hide'  ) : ?>

				<?php echo apply_filters( 'woocommerce_sale_flash', '<span class="onsale" style="margin-left: 0;" >' . __( 'Sale!', 'homeshop' ) . '</span>', $post, $product ); ?>

			<?php endif; ?>

			<?php 
				if ( ! $product->managing_stock() && !$product->is_in_stock() && get_option('sense_label_stock') != 'hide'  ) : 

					echo '<span class="onsale labels_stock" style="margin-left: 0;"  >'. __("Sold Out",'homeshop') .'</span>'; 

				endif; 
			 ?>		
			
			<?php if ( $product->is_featured() && get_option('sense_label_onfeatured') != 'hide'  ) : ?>

				<?php echo apply_filters( 'woocommerce_featured_flash', '<span class="onsale onfeatured">' . __( 'Hot', 'homeshop' ) . '</span>', $post, $product ); ?>

			<?php endif; ?>
			
			
			<?php 
			if(get_option('sense_quick_view') && get_option('sense_quick_view') != 'show') {
			echo '<a href="' . esc_url(get_permalink()) . '" class="img-product-hover">';
			}
			
			
			if( has_post_thumbnail() ) {
			echo get_the_post_thumbnail( $product->get_id(), 'th-shop' ); 
			} else {
			echo woocommerce_placeholder_img( 'shop_thumbnail' );
			}
			
			
			if(get_option('sense_quick_view') && get_option('sense_quick_view') != 'show') {
			echo '</a>';
			}
			?>
			
			
			
			<?php if(get_option('sense_quick_view') && get_option('sense_quick_view') != 'hide') { ?>
			
			<a href="<?php echo esc_url( get_permalink() ); ?>" class="product-hover">
				<i class="icons icon-eye-1"></i><?php _e('Quick View', 'homeshop'); ?>
			</a>
			
			<?php } ?>
			
	</div>
	
	<div class="product-info">
		<h5><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo product_max_charlength_text(get_the_title($product->get_id()), (int) get_option('sense_num_product_title')); ?></a></h5>
		
		<?php echo categories_product1($product->get_id());  ?>
		
	
		
		
		<span class="price"><?php do_action('woocommerce_after_shop_loop_item_title'); ?></span>
		<?php //woocommerce_get_template( 'loop/rating.php' ); ?>
	</div>
	
	<div class="product-actions">
	<?php
	
	
	if ( function_exists('woo_add_compare_button' ) && woo_add_compare_button() != '' ) { 
	remove_action( 'woocommerce_before_template_part', array('WC_Compare_Hook_Filter', 'woocp_shop_add_compare_button'), 10, 3 );
	remove_action('woocommerce_after_shop_loop_item', array('WC_Compare_Hook_Filter', 'woocp_shop_add_compare_button_below_cart'), 11);
	} 	
	woocommerce_template_loop_add_to_cart();
	
	if( class_exists( 'YITH_WCWL_Shortcode' ) ) {
	echo do_shortcode('[yith_wcwl_add_to_wishlist]');
	}
	
	?>
	
	<?php
	if( class_exists( 'YITH_Woocompare_Frontend' ) ) {
	echo do_shortcode('[yith_compare_button]');
	}
	?>
	
	
	<?php if ( function_exists('woo_add_compare_button' ) && woo_add_compare_button() != '' ) { ?>
		<span class="add-to-compare">
			<span class="action-wrapper">
				<i class="icons icon-docs"></i>
				<span class="action-name"><?php echo woo_add_compare_button(); ?></span>
			</span>
		</span>
	<?php } ?>	
		
	</div>
	
	



	</div>
	
</div>
