<?php
/**
 * Loop Rating
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/rating.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product;

if ( get_option( 'woocommerce_enable_review_rating' ) === 'no' )
	return;

$num_rating = (int) $product->get_average_rating();


if ($num_rating > 0) {
    ?>
	<div class="rating-box-cat">
	<div class="rating readonly-rating" data-score="<?php echo $num_rating; ?>"></div>
	<span><?php echo $product->get_rating_count(); ?> <?php _e( 'Review(s)', 'homeshop'); ?></span>
	</div>
    <?php
}

?>