<?php
/**
 * Edit account form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/form-edit-account.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.3.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

do_action( 'woocommerce_before_edit_account_form' );
?>

	<div class="row">
                    	
		<div class="col-lg-12 col-md-12 col-sm-12">
			
			<div class="carousel-heading no-margin">
				<h4><?php _e( 'Edit account form', 'homeshop' ); ?></h4>
			</div>

			
			<div class="page-content">


			<form class="woocommerce-EditAccountForm edit-account" action="" method="post">

			<?php do_action( 'woocommerce_edit_account_form_start' ); ?>
				
				<p class="form-row form-row-first">
					<label for="account_first_name"><?php _e( 'First name', 'homeshop' ); ?> <span class="required">*</span></label>
					<input type="text" class="woocommerce-Input woocommerce-Input--text input-text" name="account_first_name" id="account_first_name" value="<?php esc_attr( $user->first_name ); ?>" />
				</p>
				<p class="form-row form-row-last">
					<label for="account_last_name"><?php _e( 'Last name', 'homeshop' ); ?> <span class="required">*</span></label>
					<input type="text" class="woocommerce-Input woocommerce-Input--text input-text" name="account_last_name" id="account_last_name" value="<?php esc_attr( $user->last_name ); ?>" />
				</p>
				<p class="form-row form-row-wide">
					<label for="account_email"><?php _e( 'Username or email ', 'homeshop' ); ?> <span class="required">*</span></label>
					<input type="email" class="woocommerce-Input woocommerce-Input--email input-text" name="account_email" id="account_email" value="<?php esc_attr( $user->user_email ); ?>" />
				</p>
				
				
				<p class="form-row form-row-wide">
					<label for="password_current"><?php _e( 'Current Password (leave blank to leave unchanged)', 'homeshop' ); ?></label>
					<input type="password" class="woocommerce-Input woocommerce-Input--password input-text" name="password_current" id="password_current" />
				</p>
				<p class="form-row form-row-wide">
					<label for="password_1"><?php _e( 'New Password (leave blank to leave unchanged)', 'homeshop' ); ?></label>
					<input type="password" class="woocommerce-Input woocommerce-Input--password input-text" name="password_1" id="password_1" />
				</p>
				<p class="form-row form-row-wide">
					<label for="password_2"><?php _e( 'Confirm New Password', 'homeshop' ); ?></label>
					<input type="password" class="woocommerce-Input woocommerce-Input--password input-text" name="password_2" id="password_2" />
				</p>
				
				
				<div class="clear"></div>

				<?php do_action( 'woocommerce_edit_account_form' ); ?>
				
				<p>
				<?php wp_nonce_field( 'save_account_details' ); ?>
				<input type="submit" class="woocommerce-Button button" name="save_account_details" style="padding: 5px 15px;" value="<?php esc_attr_e( 'Save changes', 'homeshop' ); ?>" />
				<input type="hidden" name="action" value="save_account_details" />
				</p>
				
				<?php do_action( 'woocommerce_edit_account_form_end' ); ?>
				
			</form>
						

			
			
			</div>
			
		</div>
                          
	</div>
	
	<?php do_action( 'woocommerce_after_edit_account_form' ); ?>

