<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


if ( $related_products ) : 
$id = rand(1, 100);
$item_margin = '0';
$columns_count = 3;
$slideshow_auto = 'true';
$slideshow_delay = '9000';
?>

<div class="related_block products-row row" >
	<!-- Carousel Heading -->
	<div class="col-lg-12 col-md-12 col-sm-12">
		<div class="carousel-heading">
			<h4><?php _e( 'Related Products', 'homeshop' ); ?></h4>
			<div class="carousel-arrows">
				<i class="icons icon-left-dir"></i>
				<i class="icons icon-right-dir"></i>
			</div>
		</div>
	</div>
	<!-- /Carousel Heading -->
	
	<!-- Carousel -->
	<div class="carousel  owl-carousel-wrap col-lg-12 col-md-12 col-sm-12">
		
		<div class="owl-carousel carousel_related carousel_related_<?php echo $id; ?>" >

		<?php foreach ( $related_products as $related_product ) : ?>

				<?php
				 	$post_object = get_post( $related_product->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object );

					wc_get_template_part( 'content', 'product-related' ); ?>

		<?php endforeach; 
		
		wp_reset_postdata();
		
		?>

		

		</div>
	</div>
	
	
	
	
	<script type="text/javascript">
	jQuery(document).ready(function($){

	    var max_items = <?php echo $columns_count; ?>;
		var tablet_items = max_items;
		if(max_items > 1){
			tablet_items = max_items - 1;
		}
		var mobile_items = 1;

	var carousel_related = $(".carousel_related_<?php echo $id; ?>");
	
	carousel_related.owlCarousel({
	autoplay: <?php echo $slideshow_auto; ?>,
	autoplayTimeout: <?php echo $slideshow_delay; ?>,
	loop : <?php echo $slideshow_auto; ?>,
	$margin : <?php echo $item_margin; ?>,
		<?php if ( is_rtl() ) { ?>
	rtl:true,
		<?php  } ?>	
	responsiveClass : true,             
	autoplayHoverPause : true,                    
	pagination : false,                
	responsive : {
			0:{
				items:mobile_items
			},
			481:{
				items:tablet_items
			},
			992:{
				items:max_items
			}
		}                                
	});
	
	
	});
	</script>
	
	
	
	
	
	
	
	
	
</div>

<?php endif; ?>


