<?php
/**
 * Single Product Up-Sells
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/up-sells.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product, $woocommerce_loop;

$sidebar_id = get_meta_option('custom_sidebar');
$sidebar_position = get_meta_option('sidebar_position_meta_box');


if ( $upsells ) : ?>

<div class="products-row row upsells products" >
	

		<!-- Carousel Heading -->
		<div class="col-lg-12 col-md-12 col-sm-12">
			<div class="carousel-heading">
				<h4><?php _e( 'You may also like&hellip;', 'homeshop'); ?></h4>
				<?php 
				if( count($upsells) > 3 ) {
				?>
				<div class="carousel-arrows">
					<i class="icons icon-left-dir"></i>
					<i class="icons icon-right-dir"></i>
				</div>
				<?php 
				}
				?>
			</div>
		</div>
		<!-- /Carousel Heading -->		
		

		<!-- Carousel -->
				
		<div class="carousel owl-carousel-wrap col-lg-12 col-md-12 col-sm-12">
			
				<?php 
				if( $sidebar_position == 'full' ) { 
				echo '<div class="owl-carousel" data-max-items="4">';
				 } else { 
				echo '<div class="owl-carousel" data-max-items="3">';
				 }  ?>

				<?php foreach ( $upsells as $upsell ) : ?>

				<?php
				 	$post_object = get_post( $upsell->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object );

					wc_get_template_part( 'content', 'product-related' ); ?>

			    <?php endforeach; ?>
				 
					
				<?php echo '</div>';
				?>

		</div>
		
		<!-- End Carousel -->


</div>

<?php endif;

wp_reset_postdata();
